# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
 {
   "key":"{C1670C5E-5042-4300-9491-6BFFF963823F}_is1",
   "name":"Captura v8.0.0",
   "version":"8.0.0",
   "install_date":"2024-06-12 00:00:00",
   "install_location":"C:\\Program Files (x86)\\Captura\\",
   "uninstall_string":"\"C:\\Program Files (x86)\\Captura\\unins000.exe\"",
   "publisher":"Mathew Sachin",
   "system_component":0,
   "win64":false
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
app_name = "Captura"

def install():
    
    # Declaring local variables
    bin_name = glob.glob('Captura-Setup.exe')[0]
    # Installing the software
   
    install_exe_if_needed(bin_name,
        silentflags='/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',
        key='{C1670C5E-5042-4300-9491-6BFFF963823F}_is1',
        min_version=control.get_software_version(),
    )
     # Creating shortcuts

    
    create_desktop_shortcut(app_name, target=makepath(installed_softwares(app_name)[0]["install_location"],"captura.exe"))
def uninstall():
    # Removing shortcuts
    remove_desktop_shortcut(app_name)


